Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj
Interface SyncStore

All Known Implementing Classes:
  IrMCContactStore, IrMCEventStore, IrMCSyncStore, IrMCTaskStore, IrMCVCardStore, OutlookContactStore, OutlookEventStore, OutlookRecurrableStore, OutlookSyncStore, OutlookTaskStore

    public interface SyncStore

Method Summary
`void` | `close()`
`SyncObject` | `createObject()`
`java.lang.Long` | `deleteObject(java.lang.String uid, boolean hard, java.lang.Long maxChangeCounter)`
`java.util.Map<java.lang.String,SyncObject>` | `getAllObjects()`
`java.lang.Long` | `getChangeCounter()`
`ChangeLog` | `getChangeLog(long changeCounter)`
`java.lang.String` | `getDatabaseId()`
`java.util.Collection<SyncFieldDescription>` | `getFieldDescriptions()`
`ObjectNormalizer` | `getNormalizer()`
`SyncObject` | `getObject(java.lang.String uid)`
`java.util.Map<java.lang.String,SyncObject>` | `getObjects(java.lang.String[] uids)`
`boolean` | `isChangeCounterSupported()`
`boolean` | `isTimestampSupported()`
`java.lang.Long` | `saveObject(SyncObject object, java.lang.Long maxChangeCounter)`

Method Detail

### close

    void close()

### getFieldDescriptions

    java.util.Collection<SyncFieldDescription> getFieldDescriptions()
                                                                    throws SyncException

  Throws:
    `SyncException`

### getObject

    SyncObject getObject(java.lang.String uid)
                         throws SyncException

  Throws:
    `SyncException`

### getObjects

    java.util.Map<java.lang.String,SyncObject> getObjects(java.lang.String[] uids)
                                                          throws SyncException

  Throws:
    `SyncException`

### getAllObjects

    java.util.Map<java.lang.String,SyncObject> getAllObjects()
                                                             throws SyncException

  Throws:
    `SyncException`

### createObject

    SyncObject createObject()
                            throws SyncException

  Throws:
    `SyncException`

### isChangeCounterSupported

    boolean isChangeCounterSupported()
                                     throws SyncException

  Throws:
    `SyncException`

### isTimestampSupported

    boolean isTimestampSupported()
                                 throws SyncException

  Throws:
    `SyncException`

### getChangeCounter

    java.lang.Long getChangeCounter()
                                    throws SyncException

  Throws:
    `SyncException`

### getDatabaseId

    java.lang.String getDatabaseId()
                                   throws SyncException

  Throws:
    `SyncException`

### getChangeLog

    ChangeLog getChangeLog(long changeCounter)
                           throws SyncException

  Throws:
    `SyncException`

### saveObject

    java.lang.Long saveObject(SyncObject object,
                              java.lang.Long maxChangeCounter)
                              throws SyncException

  Throws:
    `SyncException`

### deleteObject

    java.lang.Long deleteObject(java.lang.String uid,
                                boolean hard,
                                java.lang.Long maxChangeCounter)
                                throws SyncException

  Throws:
    `SyncException`

### getNormalizer

    ObjectNormalizer getNormalizer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.